MKRC(1)

NAME
mkrc - bless files into a dotfile managed by rcm

SYNOPSIS
mkrc [-ChoqSsVvUu] [-t tag] [-d dir] [-B hostname] files ...

DESCRIPTION
This program adds files to your dotfiles directory then installs it back into your home directory. It can install files under a tag or different source directory. It supports these options:

-B HOSTNAME
    use the supplied hostname instead of computing one. Implies -o.

-C  copy instead of symlinking when installing the rc file back into your home directory

-d DIR
    install dotfiles under the specified directory. This can be specified multiple times.

-h  show usage instructions.

-o  install dotfiles into the host-specific directory

-q  decrease verbosity

-S  treat the specified rc files as files to be symlinked, even if they are directories

-s  if the rc file is a file, symlink it; otherwise, make a directory structure as described in rcup(1) in the section ALGORITHM. This is the default.

-t TAG
    install dotfiles according to tag

-U  the specified files or directories are to be installed without a leading dot.

-u  the specified files or directories are to be installed with a leading dot. This is the default.

-v  increase verbosity. This can be repeated for extra verbosity.

-V  show the version number.

ENVIRONMENT

RCRC
    User configuration file. Defaults to ~/.rcrc.

FILES
~/.dotfiles ~/.rcrc

EXAMPLES
    mkrc ~/.vimrc
    mkrc -t zsh -d company-dotfiles ~/.zshrc ~/.zlogin
    mkrc -o ~/.rcrc
    mkrc -C .ssh
    mkrc -S .zpretzo
    mkrc -U bin

SEE ALSO
lsrc(1), rcdn(1), rcup(1), rcrc(5), rcm(7)

AUTHORS
mkrc is maintained by Mike Burns <mburns@thoughtbot.com> and thoughtbot: http://thoughtbot.se